from __future__ import annotations
from typing import Any
from enum import IntEnum
from enum import auto

class SecurityOperationStatus(IntEnum):
    UNKNOWN = auto()
    OPERATION_SUCCEEDED = auto()
    RUNTIMEERROR_FAILED = auto()
    ENGINE_FAILED = auto()
    MALLOC_FAILED = auto()
    STRDUP_FAILED = auto()
    CRYPTO_FAILED = auto()
    XML_FAILED = auto()
    XSLT_FAILED = auto()
    IO_FAILED = auto()
    DISABLED = auto()
    NOT_IMPLEMENTED = auto()
    INVALID_SIZE = auto()
    INVALID_DATA = auto()
    INVALID_RESULT = auto()
    INVALID_TYPE = auto()
    INVALID_OPERATION = auto()
    INVALID_STATUS = auto()
    INVALID_FORMAT = auto()
    DATA_NOT_MATCH = auto()
    INVALID_NODE = auto()
    INVALID_NODE_CONTENT = auto()
    INVALID_NODE_ATTRIBUTE = auto()
    MISSING_NODE_ATTRIBUTE = auto()
    NODE_ALREADY_PRESENT = auto()
    UNEXPECTED_NODE = auto()
    NODE_NOT_FOUND = auto()
    INVALID_TRANSFORM = auto()
    INVALID_TRANSFORM_KEY = auto()
    INVALID_URI_TYPE = auto()
    TRANSFORM_SAME_DOCUMENT_REQUIRED = auto()
    TRANSFORM_DISABLED = auto()
    INVALID_KEY_DATA = auto()
    KEY_DATA_NOT_FOUND = auto()
    KEY_DATA_ALREADY_EXIST = auto()
    INVALID_KEY_DATA_SIZE = auto()
    KEY_NOT_FOUND = auto()
    KEYDATA_DISABLED = auto()
    MAX_RETRIEVALS_LEVEL = auto()
    MAX_RETRIEVAL_TYPE_MISMATCH = auto()
    MAX_ENCKEY_LEVEL = auto()
    CERT_VERIFY_FAILED = auto()
    CERT_NOT_FOUND = auto()
    CERT_REVOKED = auto()
    CERT_ISSUER_FAILED = auto()
    CERT_NOT_YET_VALID = auto()
    CERT_HAS_EXPIRED = auto()
    DSIG_NO_REFERENCES = auto()
    DSIG_INVALID_REFERENCE = auto()
    ASSERTION = auto()
